/***********************************************************************

                       CSA Library, Free Evaluation Version 2.0.5 
                                       Release: January 22th 1997 

       Set of functions to process messages.
       All the library functions use only these functions
       to display warnings, errors etc..

                                           Copyright(c) 1994-1997 
                                                          ComBits 
                                                  The Netherlands 
***********************************************************************/

#ifndef __CSMESS_H
#define __CSMESS_H

#include "csstr.h"


#define MaxMessageLength  300


csCHAR *csmess_read(long error);
void    csmess_set_fun( void (* fun)(csCHAR *));

void    csmess_reset_fun( void );
void    csmess_set_filename( csCHAR *s);
void    csmess_reset_filename( void);
void    csmess_on(void);
void    csmess_off(void);
int     csmess_onoff(void);
void    csmess_onoff(int TrueOrFalse);


csCHAR *csmess_p( csCHAR *p);
csCHAR *csmess_p( csCHAR *p, csCHAR *q);
csCHAR *csmess_p( long error,csCHAR *s1, csCHAR *s2, csCHAR *s3=NULL);
csCHAR *csmess_p( long error,csCHAR *s,  long l=0);
csCHAR *csmess_p( long error,long l);
csCHAR *csmess_p( long error,int i);
csCHAR *csmess_p( long error,csCHAR c);
csCHAR *csmess_p( long error,csSTR &s);
csCHAR *csmess_p( long error);

#endif
